%define tarname wxPythonSrc

Name: wxPythonGTK
Version: 2.4.0.1
Release: alt1

Summary: Cross platform GUI toolkit for Python using wxGTK
License: wxWindows Library Licence, Version 3
Group: Development/Python
Url: http://www.wxpython.org/
Packager: Oleg Gints <go@altlinux.ru>

Source0: ftp://download.sourceforge.net/pub/sourceforge/%tarname-%version.tar.bz2

Provides: wxPython = %{version}
Obsoletes: wxPython

Requires: python = %__python_version

# Automatically added by buildreq on Tue Jan 14 2003
BuildRequires: XFree86-devel gcc-c++ glib2-devel libGLU-devel libatk-devel
BuildRequires: libgtk+2-devel libpango-devel pkgconfig python-devel wxGTK-devel

%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library. wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is using the wxGTK port of wxWindows.

%prep
%setup -q -n %tarname-%version

%build
cd wxPython
%__python setup.py IN_CVS_TREE=1 NO_SCRIPTS=1 WXPORT=gtk2 \
          build

%install
cd wxPython
%__python setup.py IN_CVS_TREE=1 NO_SCRIPTS=1 WXPORT=gtk2 \
          install --root=$RPM_BUILD_ROOT

%__mkdir -p $RPM_BUILD_ROOT%_bindir
%__cp scripts/{img2png,img2py,img2xpm,pycrust,pyshell,xrced} \
      $RPM_BUILD_ROOT%_bindir

%files
%_bindir/*
%_libdir/python2.2/site-packages/wxPython
%doc docs/{changes,licence,preamble,readme}.txt
%doc wxPython/README.txt wxPython/CHANGES.txt

%changelog
* Tue Jan 14 2003 Andrey Astafiev <andrei@altlinux.ru> 2.4.0.1-alt1
- almost all spec was rewritten.
- wxPythonGTK doesn't include wxGTK.

* Sun Nov 24 2002 Oleg Gints <go@altlinux.ru> 2.3.3.1-alt1
- new ALT spec based on spec from Robin Dunn <robin@alldunn.com>

* Tue Feb 12 2002 Andrey Astafiev <andrei@altlinux.ru> 2.2.7-alt1
- rollback to stable branch 2.2.x.
- 2.2.7.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3.2.1-alt1
- rebuild with new python

* Wed Jun 27 2001 AEN <aen@logic.ru> 2.3.0-alt1
- new version
- built with python-2.1

* Sun Dec 17 2000 AEN <aen@logic.ru>
- new RE spec based on spec from Robin Dunn <robin@alldunn.com>
